Bug 494457 - strverscmp broken
strverscmp broken
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-06 20:02 EDT by Frank Ch. Eigler
Modified: 2009-04-10 06:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-10 06:58:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Ch. Eigler 2009-04-06 20:02:37 EDT
Description of problem:
strverscmp appears to return wrong results in recent rawhide.

Version-Release number of selected component (if applicable):
2.9.90-12.i686

How reproducible:
always

#include <string.h>
#include <stdio.h>

int main () {
 int rc = strverscmp("2.6.21", "2.6.20");
 printf("2.6.21 %s 2.6.20\n", (rc < 0 ? "<" :
                               rc==0 ? "=" :
                                ">"));

}


This shows ">" on old glibc, and "<" on rawhide.

This breaks systemtap tapsets that are kernel version sensitive.
Comment 1 Ulrich Drepper 2009-04-07 02:52:35 EDT
Fixed in cvs.
Comment 2 Jakub Jelinek 2009-04-10 06:58:38 EDT
And fixed in glibc-2.9.90-13 and above.

Note You need to log in before you can comment on or make changes to this bug.